/*
 * Copyright (c) 2009 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include <sys/types.h>
#include <sched.h>
#include <stdio.h>

#include <portLib.h>
#include <rmp/rmpLib.h>

/*
 * This is executed in a task spawned at startup to read all messages 
 * sent by the motor controllers 
 */
int
rmp400ReadTask(int rmpDev)
{
	unsigned char buf[18];
	struct RMP_DEV_STR *rmp = (struct RMP_DEV_STR *)rmpDev;

	while (1) {
		if (rmpReadPackets(rmp) == ERROR) {
			fprintf(stderr, "rmp400ReadTask: read error\n");
		}
		taskDelay(5);
	}
	return ERROR;
}
